%define upstream_name Perl-osnames
%define upstream_version 0.122

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    List possible $^O ($OSNAME) values, with description
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Perl/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Exporter) >= 5.570.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(Test::More) >= 0.980.0
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This package contains $data which lists possible values of $^O along
with description for each. It also provides some helper functions.

Tags
  *   unix

      Unix-like operating systems. This currently excludes beos/haiku.

  *   bsd

      BSD-derived Unix operating systems.

  *   sysv

      SysV-derived Unix operating systems.

  *   posix

      For POSIX-compliant OSes, including fully-, mostly-, and
      largely-compliant ones (source:
      <https://en.wikipedia.org/wiki/POSIX>).

      From what I can gather, dec_osf is not POSIX compliant, although
      there is a posix package for it.

%prep
%autosetup -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Mon Mar 21 2022 umeabot <umeabot> 0.122.0-2.mga9
+ Revision: 1810889
- Mageia 9 Mass Rebuild

* Fri Feb 14 2020 tv <tv> 0.122.0-1.mga8
+ Revision: 1517892
- update to 0.122

* Wed Feb 12 2020 umeabot <umeabot> 0.121.0-2.mga8
+ Revision: 1496564
- Mageia 8 Mass Rebuild

* Tue Feb 11 2020 tv <tv> 0.121.0-1.mga8
+ Revision: 1489050
- update to 0.121
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.110.0-4.mga7
+ Revision: 1270513
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.110.0-3.mga6
+ Revision: 1031986
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 0.110.0-2.mga6
+ Revision: 966897
- Mageia 6 Mass Rebuild

* Sun Jun 28 2015 sander85 <sander85> 0.110.0-1.mga6
+ Revision: 847047
- imported package perl-Perl-osnames

